ITPub博客

首页 > Linux操作系统 > Linux操作系统 > RedHat FC5安装xmms

RedHat FC5安装xmms

原创 Linux操作系统 作者:space6212 时间:2019-07-20 08:39:02 0 删除 编辑

xmms是linux一个优秀的MP3播放器。今天在RedHat FC5安装xmms,真是一波三折啊。中间遇到了很多问题,花了几个小时才装上,把这个痛苦的过程记录一下。


一、下载软件
下载地址是:
http://www.xmms.org/files/1.2.x/xmms-1.2.10.tar.gz

二、解压
tar zxvf xmms-1.2.10.tar.gz

三、编译安装
1、
[root@suk xmms-1.2.10]# ./configure
.....
编译到一半的时候会报下面的错误:

”checking for GLIB - version >= 1.2.2... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: *** GLIB >= 1.2.2 not installed - please install first ***”

查询已经安装的glib:
[root@suk xmms-1.2.10]# rpm -qa|grep glib
glibc-common-2.4-4
glib2-2.10.1-1
avahi-glib-0.6.9-3
glibc-kernheaders-3.0-5.2
glib2-devel-2.10.1-1
glibc-headers-2.4-4
glibc-2.4-4
glib-1.2.10-18.2.2
glibc-devel-2.4-4
dbus-glib-0.61-3
NetworkManager-glib-0.6.0-3
glib-java-0.2.3.0.20060301.rh1-1

可以看到,glib已经安装,且版本比1.2.2高,但仍然报错。
上google搜了半天,发现有一个帖子说还需要安装glib-devel和gtk+-devel这两个包。找出安装盘,把这两个包安装上,这一步果然顺利过去了。看来这一步的报错信息有问题。
注意:glib/gtk+的版本需要是1.2.x,如果版本是2.x,虽然比1.2.x高,但编译也不能通过。

2、
[root@suk xmms-1.2.10]# make
本以为第一步顺利过去,之后的不会再出问题。事与愿违,在这一步还是出错了:

ir.c:19: error: static declaration of 'keepGoing' follows non-static declaration
ir.h:53: error: previous declaration of 'keepGoing' was here
ir.c:22: error: static declaration of 'irapp_thread' follows non-static declaration
ir.h:52: error: previous declaration of 'irapp_thread' was here
make[3]: *** [ir.lo] 错误 1
make[3]: Leaving directory `/home/downloads/xmms-1.2.10/General/ir'
make[2]: *** [all-recursive] 错误 1
make[2]: Leaving directory `/home/downloads/xmms-1.2.10/General'
make[1]: *** [all-recursive] 错误 1
make[1]: Leaving directory `/home/downloads/xmms-1.2.10'
make: *** [all] 错误 2

还是通过google查到解决方法:
解决方法1:打开./General/ir/ir.h 把
extern pthread_t irapp_thread;
extern gboolean keepGoing;
两句注释掉
解决方法2:用低版gcc
我选择的是第一种方法,修改后先make clean,然后再./configure,make顺利过去这一步。

3、
[root@suk xmms-1.2.10]# make install

这一步很顺利,大功告成。


结论:不要轻信安装过程中的出错信息,有事先google,不要放弃,问题总会解决的。

最后,贴一个解决xmms中文乱码的方案。

第一步:禁用ID3V2标签
首选项=>音频输入输出插件 选中 MPEG Layer 1/2/3 播放器 然后再点下面的 “配置 ” 切换到标题后选择“禁用ID3V2标签” => “确定”


第二步:选择字体
我的是
引用:
(点击首选项的字体标签,直接copy下面的就可以了)

播放清单:
-sony-*-*-*-*-*-16-*-*-*-*-*-iso8859-1,-*-*-*-*-*-*-16-*-*-*-*-*-gbk-0
把前面那两个勾都打上。还有其它的字体设置如:
主窗口:
-sony-*-*-*-*-*-16-*-*-*-*-*-iso8859-1,-*-*-*-*-*-*-16-*-*-*-*-*-gbk-0



第三步:修改标题显示:
很多贴子里面都没提到这一步!
在标题格式里只填上 %f , 默认的好象是 %p-%t ,不要默认的

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/231499/viewspace-63783/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2005-01-25

  • 博文量
    245
  • 访问量
    168782